﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamComboBinding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            List<Data> data = new List<Data>();
            data.Add(new Data() { Country = "USA", Cities = new List<string>() { "NY", "LA" } });
            data.Add(new Data() { Country = "England", Cities = new List<string>() { "London", "Liverpool" } });
            data.Add(new Data() { Country = "Bulgaria", Cities = new List<string>() { "Sofia", "Varna" } });

            this.DataContext = data;
        }
    }

    public class Data
    {
        public string Country { get; set; }
        public List<string> Cities { get; set; }
        private string _selectedCity;
        public string SelectedCity
        {
            get
            {
                if (string.IsNullOrEmpty(_selectedCity))
                {
                    if (Cities != null && Cities.Any())
                    {
                        _selectedCity = Cities.Last();
                    }
                }
                return _selectedCity;
            }
            set
            {
                _selectedCity = value;
            }
        }

    }
}
